﻿@{
    ViewBag.Title = "Activity Log";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>

<script type="text/javascript">

    var oTable;

    $(function () {
        $('#dtStartDate').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });
        $('#dtiStartDate').click(function () {
            $('#dtStartDate').datepicker('show');
        });

        $('#dtEndDate').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });
        $('#dtiEndDate').click(function () {
            $('#dtEndDate').datepicker('show');
        });

    });

    $(document).ready(function () {
        var aryColTableChecked = [];
        for (var idx = 1; idx < 7; idx++) {
            aryColTableChecked.push("field" + idx);
        }

        var aoColumnDef = [];

        $.each(aryColTableChecked, function (i, value) {

            var obj = {
                "mData": value, "aTargets": [i]
            }
            
            aoColumnDef.push(obj);
        });

        $("#btnSearch").click(function () {

            if (oTable != null) {
                oTable.fnDestroy();
            }

            oTable = $('#tblData').dataTable({
                "sAjaxSource": "@Url.Action("GetActivityLogList", "ActivityLog")",
                "bServerSide": false,
                "bProcessing": true,
                "bSort": false,
                "bPaginate": true,
                "bLengthChange": false,
                "bStateSave": false,
                "bDestroy": true,
                "bRetrieve": true,
                "fnServerData": function (sSource, aoData, fnCallback) {
                    $.ajax({
                        "dataType": "json",
                        "type": "POST",
                        "url": sSource,
                        "data": aoData,
                        "success": fnCallback
                    });
                },
                "sDom": '<"#tblData_header.clearfix "<"pull-left"l><"pull-right"r>><"table-responsive"t><"#ScrollTop"><"#tblData_footer.clearfix "<"pull-left"i><"pull-right"p>>',
                "fnServerParams": function (aoData) {
                    aoData.push({ "name": "startdate", "value": $('#dtStartDate').val() });
                    aoData.push({ "name": "enddate", "value": $('#dtEndDate').val() });

                },
                "aoColumnDefs": aoColumnDef,
                "iDisplayLength": 10,
                "oLanguage": {
                    "sProcessing": '<i class="fa fa-spinner fa-spin"></i> Retrieve Data ... ',
                    "sLengthMenu": '_MENU_'
                },
            });

            oTable.fnSettings().aoColumns[0].sClass = "text-center";
            oTable.fnSettings().aoColumns[1].sClass = "text-center";
            oTable.fnSettings().aoColumns[2].sClass = "text-center";
            oTable.fnSettings().aoColumns[3].sClass = "text-center";
            oTable.fnSettings().aoColumns[4].sClass = "text-center";
            oTable.fnSettings().aoColumns[5].sClass = "text-center";



           
        });

        $("#btnReset").click(function () {

            document.getElementById("dtStartDate").value = "";
            document.getElementById("dtEndDate").value = "";
            
            $("#btnSearch").click();
        });
    });

    $(function () {
        $('#btnSearch').click();
    });
</script>


<style>
    .label-def-margin {
        margin-top: 10px;
    }
</style>

<script type="text/javascript">
    $(function () {
        $('#dtStartDate').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });

        $('#dtEndDate').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });
    });
</script>


<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Search
        </div>
        <div class="panel-body">
            <div class="row">
                <!--Start Date-->
                <div class="col-sm-1"><label class="label-def-margin" for="dtStartDate">Start Date</label></div>
                <div class="col-sm-2">
                    <div class='input-group date'>
                        <input id='dtStartDate' readonly="readonly" placeholder="dd-mm-yyyy" data-format="dd-MM-yyyy" type='text' class="form-control" />
                        <span class="input-group-addon" id="dtiStartDate">
                            <span class="glyphicon glyphicon-calendar"></span>
                        </span>
                    </div>
                </div>

                <!--End Date-->
                <div class="col-sm-1"><label class="label-def-margin" for="dtEndDate">End Date</label></div>
                <div class="col-sm-2">
                    <div class='input-group date'>
                        <input id='dtEndDate' readonly="readonly" placeholder="dd-mm-yyyy" data-format="dd-MM-yyyy" type='text' class="form-control" />
                        <span class="input-group-addon" id="dtiEndDate">
                            <span class="glyphicon glyphicon-calendar"></span>
                        </span>
                    </div>
                </div>
            </div>


            <br />
            <div class="row">
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnSearch">
                        <span class="glyphicon glyphicon-search"></span> Search
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnReset">
                        <span class="glyphicon glyphicon-refresh"></span> Reset
                    </button>
                </div>
            </div>
        </div>
    </div>

    <br />
    <div class="panel panel-primary">
        <div class="panel-body">
            <table id="tblData" class="table table-striped table-hover table-bordered" width="100%" style="font-size: 10px; margin-top: 0 !important; margin-bottom: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;">
                <thead class="bg-mantle-gradient">
                    <tr>
                        <th>No &nbsp; </th>
                        <th>User &nbsp; </th>
                        <th>Type of Event &nbsp; </th>
                        <th>Menu &nbsp; </th>
                        <th>Activity Date &nbsp; </th>
                        <th>Activity Status &nbsp; </th>
                        

                    </tr>
                </thead>
            </table>
        </div>
    </div>
</div>
